/*
@C:\web_645\sql\end_conv\oracle\02KS_GERTRGO_LOG_GER_GERPARAMGERAL.sql
*/
CREATE OR REPLACE TRIGGER LOG_GER_GERPARAMGERAL
AFTER DELETE OR INSERT OR UPDATE
ON GERPARAMGERAL FOR EACH ROW
DECLARE
  V_USUARIO   VARCHAR2(40);
  V_TIPO      VARCHAR2(1);
  V_ITPESQ    VARCHAR2(40);
  V_DESC      VARCHAR2(4000);
  V_DTOPER    DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN

   V_TIPO := '0';
   V_DESC := '';

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF DELETING THEN
      IF :OLD.CDGRPOPRELACPR IS NOT NULL THEN
         V_DESC := V_DESC || ' CdGrpAutReplicProd(DFE52000)=' || :OLD.CDGRPOPRELACPR;
      END IF;

      V_TIPO := '3';
      V_ITPESQ := :OLD.CDPARGERAL;
   ELSE
      IF UPDATING THEN
         IF (NVL(:OLD.CDGRPOPRELACPR,'!') <> NVL(:NEW.CDGRPOPRELACPR,'!')) THEN

            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDPARGERAL;
         END IF;
      ELSE
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDPARGERAL;
      END IF;

      IF NVL(:OLD.CDGRPOPRELACPR, '!') <>  NVL(:NEW.CDGRPOPRELACPR, '!') THEN
         V_DESC := V_DESC || ' CdGrpAutReplicProd(DFE52000)=' || :NEW.CDGRPOPRELACPR;
      END IF;

   END IF;
   IF V_TIPO <> '0' THEN
      IF NOT V_DESC IS NULL THEN
         NMUSUARIO(V_USUARIO);
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
            VALUES
               ('GERPARAMGERAL',  V_DTOPER, V_USUARIO,
                V_TIPO,         V_ITPESQ, SUBSTR(V_DESC, 0, 400),V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVERRDM,
                V_DSSERVMETHOD, V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_GER_GERPARAMGERAL','6.45.036'); END;
/
